BasicMDCAdapterTest (SLF4J 1.7.25 Test API)
Date: 2017-03-16

org.slf4j.helpers

## Class BasicMDCAdapterTest

- java.lang.Object
- - org.slf4j.helpers.BasicMDCAdapterTest

-     public class BasicMDCAdapterTest
      extends Object

  Tests for `BasicMDCAdapter`
  Author:
    Lukasz Cwik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicMDCAdapterTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `tearDown()`
    `void` | `testClearingMDC()`
    `void` | `testGetCopyOfContextMapFromMDC()`
    `void` | `testMDCChildThreadCanOverwriteParentThread()`
    `void` | `testMDCDoesntGetValuesFromChildThread()`
    `void` | `testMDCInheritsValuesFromParentThread()`
    `void` | `testOverwritingAKeyInMDC()`
    `void` | `testSettingAndGettingWithMDC()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicMDCAdapterTest

          public BasicMDCAdapterTest()

  - ### Method Detail

    - #### tearDown

          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

    - #### testSettingAndGettingWithMDC

          public void testSettingAndGettingWithMDC()

    - #### testOverwritingAKeyInMDC

          public void testOverwritingAKeyInMDC()

    - #### testClearingMDC

          public void testClearingMDC()

    - #### testGetCopyOfContextMapFromMDC

          public void testGetCopyOfContextMapFromMDC()

    - #### testMDCInheritsValuesFromParentThread

          public void testMDCInheritsValuesFromParentThread()
                                                     throws Exception

      Throws:
        `Exception`

    - #### testMDCDoesntGetValuesFromChildThread

          public void testMDCDoesntGetValuesFromChildThread()
                                                     throws Exception

      Throws:
        `Exception`

    - #### testMDCChildThreadCanOverwriteParentThread

          public void testMDCChildThreadCanOverwriteParentThread()
                                                          throws Exception

      Throws:
        `Exception`

Copyright © 2005–2017 QOS.ch. All rights reserved.